Bug 435309 - Floating point exception sometimes when running rpm
Summary: Floating point exception sometimes when running rpm
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-28 16:53 UTC by Jan ONDREJ
Modified: 2009-01-07 09:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-26 10:04:20 UTC
Type: ---


Attachments (Terms of Use)
rpm core file (612.00 KB, application/octet-stream)
2008-02-28 16:53 UTC, Jan ONDREJ
no flags Details
strace output (22.52 KB, text/plain)
2008-02-28 16:54 UTC, Jan ONDREJ
no flags Details

Description Jan ONDREJ 2008-02-28 16:53:27 UTC
Description of problem:
When running rpm on one of my xen virtual machines, rpm fails with "Floating
point exception". Everything other works well on my machines, no crashes,
programs are working.
When this happens, for aprox. 90% running rpm or yum (I don't know about other
programs) fails with FPE. 10% works well.
After some time this fixes itself automatically and then I am unable to
reproduce this bug.

Version-Release number of selected component (if applicable):
rpm-4.4.2.2-7.fc8
kernel-xen-2.6.21.7-2.fc8

How reproducible:
sometimes :(

Steps to Reproduce:
I don't know, how to reproduce. This not happening always, just sometimes.
Run "rpm" without parameters.
  
Actual results:
Floating point exception

Expected results:
rpm help page output

Additional info:
strace output and core file is attached.

Comment 1 Jan ONDREJ 2008-02-28 16:53:27 UTC
Created attachment 296235 [details]
rpm core file

Comment 2 Jan ONDREJ 2008-02-28 16:54:21 UTC
Created attachment 296236 [details]
strace output

Comment 3 Jan ONDREJ 2008-02-29 16:58:12 UTC
Update: there problems disappear immediatelly after stopping ntpd.
Starts aprox. 1-3 minutes after starting ntpd.

May be it is a bug of any library in linux + xen + ntpd.


Comment 4 Panu Matilainen 2008-04-21 09:06:55 UTC
Ok, found it. Comes from statistics calculation: 

        sum_usecs += rpmswDiff(rpmswNow(&end), &begin);
        rpmsw_type = 1;

        /* Compute cycles/usec */
        rpmsw_cycles = sum_cycles/sum_usecs;

If there's no difference between begin of timing and "now", it'll cause division
by zero. Normally there is of course a difference, ntpd being involved kinda
explains.

Comment 5 Panu Matilainen 2008-05-08 06:41:39 UTC
Fixed upstream

Comment 6 Rolf Linder 2008-07-09 18:09:45 UTC
Do have same problem here....Fedora8 running as dom0 but WITHOUT ntpd....I could
sometimes resolv this by restarting xend and libvirt...but only some times.

I've discovered at running yum....(probably yum update)....

Comment 7 Bug Zapper 2008-11-26 09:58:00 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Jan ONDREJ 2008-11-26 10:04:20 UTC
I can't reproduce this bug some time. I think this has been fixed and this bug can be closed.
Thank you.

Comment 9 Fedora Update System 2009-01-07 09:28:45 UTC
rpm-4.4.2.3-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.